This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 254210 - Fedora Core 7 Won't Install on My "A" Drive
Fedora Core 7 Won't Install on My "A" Drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 15:25 EDT by Arnold Schmidt
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arnold Schmidt 2007-08-24 15:25:14 EDT
Description of problem:
I've been trying to install Fedora Core 7 on my Athlon 1800+ powered system.  I
have a Soyo MB, 1Gig of memory and two PATA drives.  The "A", or boot, drive is
250 Gig and my "B" drive is 80 Gig. The "A" drive is partitioned into a primary
with Win 98 on it, and the rest of the drive is is covered by an extended
partition.  The extended partition is occupied with some FAT32 logicals for
Windows, 2 different Mandriva Linux systems and 1 SUSE 10.2 system.  The
unallocated space in the extended partition is currently 131 Gig.  The "B" drive
 is taken up with several older Mandriva and Debian distros.  The booting for
all of this is handled by GRUB, whose menu file is located in one of the "B"
drive systems.  Also, the MBR on "A" was placed there by GRUB.
When I attempted to install Fedora Core 7, after selecting the language I use,
the installer gave me a message box saying that it can't figure out the
partitioning on "A", and would I like to scrub the drive and repartition.  I
answered no, of course, and at that point I was unable to proceed further, since
the installer couldn't "see" drive "A".  This leads me to believe that anaconda
can't interpret GRUB MBRs.  If so, this seems to be a rather severe flaw in the
program, especially in light of the fact that I've had no problems installing
newer versions of Mandriva and SUSE on the same drive. If there is a workaround
that you're aware of, I'd be obliged if you can tell what it is.

Version-Release number of selected component (if applicable):
Don't know, can't install the system.

How reproducible:
100%

Steps to Reproduce:
1.Boot the DVD, get installation screen
2.Click "Next", get language selection table
3.Click "Next", get variant of English selection
4.After short wait, message box comes up saying the installer doesn't understand
  sda partitoning, and would I like to scrub it and repartition.
5.Select "No", then next, get a screen that gives a selection of actions, and
shows that the only drive available is sdb, but grayed out.
6.Give up trying to install
  
Actual results:


Expected results:


Additional info:
Comment 1 David Cantrell 2007-08-24 15:31:20 EDT
My guess is you have too many partitions.  In Fedora we use libata in the kernel
for disks (both ATA and SCSI).  One of the big limitations of libata now is the
fact that it can't recognize more than 15 partitions per disk.

What does your disk label look like?  If you 15 partitions or more (or when you
try to install Fedora, it pushes you over the 15 partition limit), you will
definitely hit problems.
Comment 2 Arnold Schmidt 2007-08-25 14:13:41 EDT
Bingo! I currently have 18 partitions in use on "A".  This limitation of libata
also explains another thing that puzzled me.  I tried installing FC7 on my
wife's computer and ran into trouble.  Her machine has an Adaptec SCSI card
installed to control a scanner.  When I tried to install FC7, I got an error
message telling me that the library can only handle 15 SCSI partitions, and
installing FC7 would have required going to 17.  I thought this was simply a bug
in the installer, thinking that beccause the machine has an SCSI interface, the
drive must necessarily be SCSI.  Now I see that it was simply hitting it's
partition limit.  I applaud the effort to combine all kinds of ATA into one
library, but limiting the number of partitions on one drive to 15 is a bit
silly, and I hope the limit is raised Real Soon Now.  Beyond that, though, is
the annoyance of running into this problem and not having it mentioned
_anywhere_ obvious. Neither the "Linux Pro" magazine I got it from, nor any of
the Release Notes said a thing.  For people like me, who like to try out many
different distros, this poses a real PITA.  I realize this is not your fault,
but I'd appreciate it if you can find a way to put this limitation up front
somewhere in the distro notes so folks can be aware of it immediately.  Many
thanks for your prompt response.
Comment 3 Arnold Schmidt 2007-08-25 14:14:55 EDT
Bingo! I currently have 18 partitions in use on "A".  This limitation of libata
also explains another thing that puzzled me.  I tried installing FC7 on my
wife's computer and ran into trouble.  Her machine has an Adaptec SCSI card
installed to control a scanner.  When I tried to install FC7, I got an error
message telling me that the library can only handle 15 SCSI partitions, and
installing FC7 would have required going to 17.  I thought this was simply a bug
in the installer, thinking that beccause the machine has an SCSI interface, the
drive must necessarily be SCSI.  Now I see that it was simply hitting it's
partition limit.  I applaud the effort to combine all kinds of ATA into one
library, but limiting the number of partitions on one drive to 15 is a bit
silly, and I hope the limit is raised Real Soon Now.  Beyond that, though, is
the annoyance of running into this problem and not having it mentioned
_anywhere_ obvious. Neither the "Linux Pro" magazine I got it from, nor any of
the Release Notes said a thing.  For people like me, who like to try out many
different distros, this poses a real PITA.  I realize this is not your fault,
but I'd appreciate it if you can find a way to put this limitation up front
somewhere in the distro notes so folks can be aware of it immediately.  Many
thanks for your prompt response.
Comment 4 Andy Hudson 2007-10-28 09:01:46 EDT
Hi,

Given that this is a limitation and not necessarily a bug, can this bug now be
closed? Having 15+ partitions as you describe is a pretty obscure scenario.

If you have access to more powerful hardware, why not try Xen or VMware to
virtualize your other Linux distros and prevent this from happening?
Comment 5 Brian Powell 2008-04-25 00:29:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.